Functions
gr55xx_hal_adc_vbat_api.h File Reference

Header file - GR55XX battery module. More...

`#include <stdint.h>`
Include dependency graph for gr55xx_hal_adc_vbat_api.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | hal_adc_vbat_init (void)
| Initialize ADC battery voltage detection. More...
double | hal_adc_vbat_read (void)
| Get the battery voltage. More...
void | hal_adc_vbat_conv (adc_handle_t *hadc, uint16_t *inbuf, double *outbuf, uint32_t buflen)
| Convert the ADC conversion results to battery value. More...

## Detailed Description

Header file - GR55XX battery module.

Attention

  ##### Copyright (c) 2019 GOODIX

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file gr55xx_hal_adc_vbat_api.h.

## Function Documentation

## ◆ hal_adc_vbat_conv()

void hal_adc_vbat_conv | ( | adc_handle_t * | hadc,
|  | uint16_t * | inbuf,
|  | double * | outbuf,
|  | uint32_t | buflen
| ) |  |

Convert the ADC conversion results to battery value.

Parameters

  [in] | hadc | Pointer to a ADC handle which contains the configuration information for the specified ADC module.
  [in] | inbuf | Pointer to data buffer which storage ADC codes.
  [out] | outbuf | Pointer to data buffer which to storage conversion results.
  [in] | buflen | Length of data buffer.

Returns
  Result of operation.

## ◆ hal_adc_vbat_init()

void hal_adc_vbat_init | ( | void |  | ) |

Initialize ADC battery voltage detection.

## ◆ hal_adc_vbat_read()

double hal_adc_vbat_read | ( | void |  | ) |

Get the battery voltage.

Returns
  The volatge of battery. Unit (volt).